// Arduino5Analog2Digital.ino
// 7-10-2015
//
// OK Arduino 1.0.3
// OK Arduino Uno
//
// Envoie en serie, a 9600 bits/seconde,
// la valeur (0..1023) de l'entree analogique A0
// et des entrees digitales 2 3 4 5 6 7 8 9 (0 ou 1) 
// sous la forme d'une chaine de caracteres.
// Les 9 valeurs sont separees par des Tab
// Par exemple: 122  0  1  0  0  0  1  1  1
//
// Pour le sketch Processing LarynxArduino17.pde
// pour la reception de 9 valeurs.
//
// Voir: http://arduino.cc/en/tutorial/graph
//

void setup() {
  pinMode(2, INPUT);
  pinMode(3, INPUT);
  pinMode(4, INPUT);
  pinMode(5, INPUT);
  pinMode(6, INPUT);
  pinMode(7, INPUT);
  pinMode(8, INPUT);
  pinMode(9, INPUT);
  Serial.begin(9600); // initialize the serial communication:
}

void loop() {
  Serial.print(analogRead(A0));
  Serial.print("\t");
  Serial.print(digitalRead(2));
  Serial.print("\t");
  Serial.print(digitalRead(3));
  Serial.print("\t");
  Serial.print(digitalRead(4));
  Serial.print("\t");
  Serial.print(digitalRead(5));
  Serial.print("\t");
  Serial.print(digitalRead(6));
  Serial.print("\t");
  Serial.print(digitalRead(7));
  Serial.print("\t");
  Serial.print(digitalRead(8));
  Serial.print("\t");
  Serial.print(digitalRead(9));
  Serial.println();
  delay(100);
}


